//
//  TCHError.h
//  Twilio Chat Client
//
//  Copyright (c) 2017 Twilio, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

/** Twilio Chat error object 
 
 TCHError is a descendent of NSError.  The Chat Client will populate the following properties for most errors:
 
 - domain - Will be equivalent to the constant pointed to by TCHErrorDomain
 - code - Will be a numeric code indicating the failure or TCHErrorGeneric for errors generated by the client locally
 - userInfo[TCHErrorMsgKey] - May contain an optional string representation of the error with more detail if available
 */
@interface TCHError : NSError

@end
